|  | Home · All Classes · Modules

# QColorDialog.ColorDialogOptions Class Reference
[QtGui module]

### Methods

- __init__ (self, ColorDialogOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ColorDialogOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ColorDialogOptions f)
- ColorDialogOptions __iand__ (self, int mask)
- int __int__ (self)
- ColorDialogOptions __invert__ (self)
- ColorDialogOptions __ior__ (self, ColorDialogOptions f)
- ColorDialogOptions __ixor__ (self, ColorDialogOptions f)
- bool __ne__ (self, ColorDialogOptions f)
- ColorDialogOptions __or__ (self, ColorDialogOptions f)
- ColorDialogOptions __xor__ (self, ColorDialogOptions f)

## Detailed Description

## Method Documentation

### ColorDialogOptions.__init__ (self, ColorDialogOptions)

### ColorDialogOptions.__init__ (self, int)

### ColorDialogOptions.__init__ (self)

### ColorDialogOptions ColorDialogOptions.__and__ (self, int mask)

### int ColorDialogOptions.__bool__ (self)

### bool ColorDialogOptions.__eq__ (self, ColorDialogOptions f)

### ColorDialogOptions ColorDialogOptions.__iand__ (self, int mask)

### int ColorDialogOptions.__int__ (self)

### ColorDialogOptions ColorDialogOptions.__invert__ (self)

### ColorDialogOptions ColorDialogOptions.__ior__ (self, ColorDialogOptions f)

### ColorDialogOptions ColorDialogOptions.__ixor__ (self, ColorDialogOptions f)

### bool ColorDialogOptions.__ne__ (self, ColorDialogOptions f)

### ColorDialogOptions ColorDialogOptions.__or__ (self, ColorDialogOptions f)

### ColorDialogOptions ColorDialogOptions.__xor__ (self, ColorDialogOptions f)